> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 獲取設置

> 讀取當前用戶的偏好設置。

## 響應

<ResponseField name="default_mode" type="string">
  發送 `auto` 時使用的默認路由模式。取值為以下之一：`auto`、`fast`、`think`、`code`、`research`、`image`、`video`、`roast`。
</ResponseField>

<ResponseField name="personality" type="string">
  Theo 的人格模式。`"theo"`（默認）或 `"none"`（中性）。
</ResponseField>

<ResponseField name="timezone" type="string">
  IANA 時區字符串（例如 `"America/Guayaquil"`）。
</ResponseField>

<ResponseField name="theo_branding" type="boolean">
  當為 `false` 時，API 響應中會去除 Theo 的人格、背景故事、吉祥物表情符號以及帶品牌標識的模型名稱。默認值：`true`。
</ResponseField>

## 身份驗證

需要提供 API 密鑰或儀表盤會話。

## 示例

```bash curl theme={null}
curl https://www.hitheo.ai/api/v1/settings \
  -H "Authorization: Bearer $THEO_API_KEY"
```

### 響應

```json theme={null}
{
  "default_mode": "auto",
  "personality": "theo",
  "timezone": "America/Guayaquil",
  "theo_branding": true
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.